Get the edits of an episode

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/episodes/{episode_id}/edits

Get the edits of an episode. A vendor does not get the metadata columns that are hidden from vendors.

Path parameters

  • episode_id string(uuid) Required

    Unique identifier of the episode

Query parameters

  • relations boolean

    Add the related data to each row

Responses

  • 200 application/json

    The list of edits

    Hide response attributes Show response attributes object
    • id string(uuid)

      Edit unique identifier

    • name string

      Edit name

    • description string

      Edit description

    • project_id string(uuid)

      Project identifier

    • episode_id string(uuid)

      Episode identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You do not have access to this project

  • 404

    The episode does not exist

GET /data/episodes/{episode_id}/edits
curl -X GET "http://api.example.com/data/episodes/a24a6ea4-ce75-4665-a070-57453082c25/edits?relations=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/episodes/a24a6ea4-ce75-4665-a070-57453082c25/edits"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "relations": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Episode Edit",
    "description": "Main episode edit",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "episode_id": "c46c80c6-e097-6887-c292-79675204e470",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]